# Uses of Class
org.eclipse.mat.parser.internal.oql.compiler.Expression

Packages that use Expression
Package
Description
org.eclipse.mat.parser.internal.oql
Object Query Language (OQL) (not API).
org.eclipse.mat.parser.internal.oql.compiler
Object Query Language (OQL) compiler (not API).
org.eclipse.mat.parser.internal.oql.parser
Object Query Language (OQL) parser (not API).

## Uses of Expression in org.eclipse.mat.parser.internal.oql

Method parameters in org.eclipse.mat.parser.internal.oql with type arguments of type Expression
Modifier and Type
Method
Description
`Object`
ICompiler.`method(String name, List<Expression> parameters, boolean isFirstInPath)`

## Uses of Expression in org.eclipse.mat.parser.internal.oql.compiler

Subclasses of Expression in org.eclipse.mat.parser.internal.oql.compiler
Modifier and Type
Class
Description
`class`
`QueryExpression`
Methods in org.eclipse.mat.parser.internal.oql.compiler that return Expression
Modifier and Type
Method
Description
`Expression`
Query.FromClause.`getCall()`
`Expression`
Query.SelectItem.`getExpression()`
`Expression`
Query.`getWhereClause()`
Methods in org.eclipse.mat.parser.internal.oql.compiler with parameters of type Expression
Modifier and Type
Method
Description
`void`
Query.FromClause.`setCall(Expression call)`
`void`
Query.SelectItem.`setExpression(Expression expression)`
`void`
Query.`setWhereClause(Expression whereClause)`
Method parameters in org.eclipse.mat.parser.internal.oql.compiler with type arguments of type Expression
Modifier and Type
Method
Description
`Object`
CompilerImpl.`method(String name, List<Expression> parameters, boolean isFirstInPath)`
Constructors in org.eclipse.mat.parser.internal.oql.compiler with parameters of type Expression
Modifier
Constructor
Description
``
`SelectItem(String name, Expression expression)`

## Uses of Expression in org.eclipse.mat.parser.internal.oql.parser

Methods in org.eclipse.mat.parser.internal.oql.parser that return types with arguments of type Expression
Modifier and Type
Method
Description
`final List<Expression>`
OQLParser.`ParameterList()`